View Issue Details

IDProjectCategoryView StatusLast Update
0032955Open CASCADEOCCT:DRAWpublic2022-05-08 16:15
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032955: Draw Harness, ViewerTest - extend vcolorconvert command to print color in hex format
DescriptionIt would be useful if vcolorconvert command will be able to take/print color in hex format.
Steps To Reproduce
pload VISUALIZATION
vcolorconvert RED -to hex
vcolorconvert 1.0 0.5 1.0 -to hex
vcolorconvert #FF00AAFF
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0031454 closedbugmaster Visualization - perceptually uniform color scale 
child of 0030623 closedbugmaster Draw Harness - support hex color codes within ViewerTest::ParseColor() 

Activities

git

2022-04-30 22:23

administrator   ~0108261

Branch CR32955 has been created by kgv.

SHA-1: 0777ba329cb7a3c417533eb23b3703039a0122f8


Detailed log of new commits:

Author: kgv
Date: Sat Apr 30 22:23:08 2022 +0300

    0032955: Draw Harness, ViewerTest - extend vcolorconvert command to print color in hex format

git

2022-04-30 22:39

administrator   ~0108262

Branch CR32955 has been updated forcibly by kgv.

SHA-1: 20ff1b0f350244d8fa0ca34c51252b18d2725496

kgv

2022-05-01 01:45

developer   ~0108264

Patch is ready for review
- OCCT: branch CR32955.

osa

2022-05-05 11:30

developer   ~0108334

The patch was reviewed

Related Changesets

occt: master cb6c7c45

2022-04-30 22:23:08

kgv


Committer: smoskvin Details Diff
0032955: Draw Harness, ViewerTest - extend vcolorconvert command to print color in hex format Affected Issues
0032955
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2022-04-30 22:21 kgv New Issue
2022-04-30 22:21 kgv Assigned To => kgv
2022-04-30 22:23 git Note Added: 0108261
2022-04-30 22:23 kgv Relationship added child of 0031454
2022-04-30 22:24 kgv Relationship added child of 0030623
2022-04-30 22:39 git Note Added: 0108262
2022-05-01 01:45 kgv Assigned To kgv => osa
2022-05-01 01:45 kgv Test case number => N/A
2022-05-01 01:45 kgv Note Added: 0108264
2022-05-01 01:45 kgv Status new => resolved
2022-05-05 11:30 osa Assigned To osa => bugmaster
2022-05-05 11:30 osa Status resolved => reviewed
2022-05-05 11:30 osa Note Added: 0108334
2022-05-08 13:54 bugmaster Status reviewed => tested
2022-05-08 16:15 smoskvin Changeset attached => occt master cb6c7c45
2022-05-08 16:15 kgv Assigned To bugmaster => kgv
2022-05-08 16:15 kgv Status tested => verified
2022-05-08 16:15 kgv Resolution open => fixed